curl --request GET \
--url https://api.syntage.com/tax-status/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/tax-status/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/tax-status/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/TaxStatus",
"@id": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxStatus",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"file": {
"type": "TaxStatus",
"resource": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"mimeType": "application/pdf",
"extension": "pdf",
"filename": "91106968-1abd-4d64-85c1-4e73d96fb997.pdf"
},
"rfc": "PEIC211118IS0",
"cif": 20060152922,
"person": {
"fullName": "Pedro Infante Cruz",
"firstName": "Pedro",
"middleName": "Infante",
"lastName": "Cruz",
"curp": "PEIC90110UEYBVT85"
},
"company": {
"legalName": "APPLE OPERATIONS MEXICO",
"tradeName": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"entityType": "SOCIEDAD ANONIMA DE CAPITAL VARIABLE"
},
"email": "my-email@test.com",
"phone": "5512345678",
"address": {
"streetReferences": [
"Camiño Galván"
],
"streetNumber": "8124",
"buildingNumber": "496",
"locality": "TUXTLA GUTIERREZ",
"municipality": "TUXTLA GUTIERREZ",
"postalCode": "29000",
"state": "CHIAPAS",
"streetName": "Plaza Jorge Luis",
"streetType": "Calle",
"neighborhood": "Paseo Ricardo",
"statusRaw": "LOCALIZADO - Domicilio Localizado"
},
"economicActivities": [
{
"name": "Asalariado",
"order": "1",
"percentage": "100",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"taxRegimes": [
{
"code": 601,
"name": "Régimen de Sueldos y Salarios e Ingresos Asimilados a Salarios",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"obligations": [
{
"description": "Pago definitivo mensual de IVA.",
"dueDate": "A más tardar el día 17 del mes inmediato posterior al periodo que corresponda.",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"startedOperationsAt": "2023-11-07T05:31:56Z",
"status": "Activo",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a tax status
Retrieve a tax status record by ID, including identity, address, activities, regimes, obligations, and the source PDF file.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Tax status resource response
Tax Status IRI reference
"/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997"
Tax status ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Show child attributes
Show child attributes
{
"type": "TaxStatus",
"resource": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"mimeType": "application/pdf",
"extension": "pdf",
"filename": "91106968-1abd-4d64-85c1-4e73d96fb997.pdf"
}
RFC (Registro Federal de Contribuyentes)
12 - 13"PEIC211118IS0"
SAT CIF identifier
20060152922
Physical person information extracted from the SAT tax status document. Null when the entity is not a physical person.
Show child attributes
Show child attributes
Company information. Null when the taxpayer is not a legal person.
Show child attributes
Show child attributes
Email address reported in the tax status document
"my-email@test.com"
Phone number reported in the tax status document
10"5512345678"
Fiscal address from the SAT tax status document
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date when SAT reports the taxpayer started operations
Taxpayer status reported by SAT
"Activo"
Date when the SAT taxpayer status was last updated
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?